%define upstream_name    Padre-Plugin-CSS
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Padre and CSS
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Minifier::XS)
BuildRequires: perl(Locale::Msgfmt) >= 0.150.0
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Padre) >= 0.650.0
BuildRequires: perl(Test::More)
BuildRequires: perl(WebService::Validator::CSS::W3C)
BuildRequires: perl(YAML::Tiny)
BuildArch:  noarch

%description
From Padre:
- use CSS::Minifier::XS to minify css
- use WebService::Validator::CSS::W3C to validate the CSS

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 513887
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 371394
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 61620
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 37599
- mageia rebuild
- imported package perl-Padre-Plugin-CSS

